oath_strerror_name(3)

NAME
oath_strerror_name - API function

SYNOPSIS
#include <oath.h>

const char * oath_strerror_name(int err);

ARGUMENTS

int err
    liboath error code

DESCRIPTION
Convert return code to human readable string representing the error code symbol itself. For example, oath_strerror_name(OATH_OK) returns the string "OATH_OK". This string can be used to output a diagnostic message to the user. This function is one of few in the library that can be used without a successful call to oath_init().

RETURN VALUE
Returns a pointer to a statically allocated string containing a string version of the error code err, or NULL if the error code is not known.

SINCE
1.8.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. liboath home page: http://www.gnu.org/software/liboath/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.